Error when install MEGAN_Community_unix_6_13_1.sh (gzip: sfx_archive.tar.gz: not in gzip format)


#1

Dear
I got a problem when I install MEGAN_Community_unix_6_13_1.sh
What I have done is as follows:
1)
chmod u+x MEGAN_Community_unix_6_13_1.sh
./MEGAN_Community_unix_6_8_14.sh -c

error:
No suitable Java Virtual Machine could be found on your system.
The version of the JVM must be 1.8.
Please define INSTALL4J_JAVA_HOME to point to a suitable JVM.

then I download jdk1.8.0_191,and add it in the environmental variables
vim MEGAN_Community_unix_6_13_1.sh
INSTALL4J_JAVA_HOME_OVERRIDE="/zfssz5/BC_PS/**/bin/java/jdk1.8.0_191/bin/java"
./MEGAN_Community_unix_6_8_14.sh -c

error:
gzip: sfx_archive.tar.gz: not in gzip format
I am sorry, but the installer file seems to be corrupted. If you downloaded that file please try it again. If you
transfer that file with ftp please make sure that you are using binary mode.

I think the sfx_archive.tar.gz file may be corrupted, could you give me some suggestions about how can I fix this?
I am looking forward to your reply and thank you in advance.

Best,
yinping


#2

Hi,
you have to add a java bin to your PATH,
and then execute unchanged MEGAN installer .sh

regards,
Ania


#3

hi Ania:
I add the java bin to my .bash_profile,but the same error as before “gzip: sfx_archive.tar.gz: not in gzip format”


#4

Hi,
you need to download the installer again,
Ania